<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:ignore="MissingDefaultResource">

    <ImageView
        android:id="@+id/img_reg_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/platform_dp_16"
        android:layout_marginTop="54dp"
        android:src="@drawable/user_ic_back_black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
    <LinearLayout
        android:id="@+id/ll_success"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:background="#fff"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp">

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:src="@drawable/user_ic_log_succee" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:text="登录成功!"
                android:textColor="#32D296"
                android:textSize="13dp"
                android:textStyle="bold" />
        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="35dp"
            android:text="您已通过阿里云号码认证服务，一键登录更安全。"
            android:textColor="#666666"
            android:textSize="13dp" />
    </LinearLayout>
    <TextView
        android:id="@+id/tv_login_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_40"
        android:text="手机号登录/注册"
        android:textColor="@color/pay_color_242424"
        android:textSize="22sp"
        app:layout_constraintLeft_toRightOf="@id/img_reg_back"
        app:layout_constraintTop_toBottomOf="@id/img_reg_back" />
    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/tv_login_title"
        app:layout_constraintStart_toStartOf="@id/tv_login_title"
        android:text="请输入您的常用手机号"
        android:textColor="@color/platform_color_242424"
        android:textSize="13sp"
        android:layout_marginTop="@dimen/platform_dp_5"
        android:id="@+id/bind_phone_hint"
        android:visibility="gone"
        >
    </TextView>
    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="跳过"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/img_reg_back"
        app:layout_constraintBottom_toBottomOf="@id/img_reg_back"
        android:layout_marginEnd="@dimen/platform_dp_16"
        android:id="@+id/skip_bind"
        android:visibility="gone"
        >
    </TextView>
    <TextView
        android:id="@+id/country_code"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="90dp"
        android:drawableRight="@drawable/user_triangle_down"
        android:drawablePadding="@dimen/platform_dp_4"
        android:text="+86"
        android:textColor="@color/pay_color_666666"
        android:textSize="17sp"
        app:layout_constraintStart_toStartOf="@id/tv_login_title"
        app:layout_constraintTop_toBottomOf="@id/tv_login_title" />

    <com.ydl.ydlcommon.view.PhoneEditText
        android:id="@+id/et_phone_number"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginLeft="@dimen/platform_dp_16"
        android:layout_weight="1"
        android:background="@null"
        android:gravity="center_vertical|left"
        android:hint="输入手机号"
        android:inputType="number"
        android:lines="1"
        android:maxLength="13"
        android:textColor="@color/platform_color_242424"
        android:textColorHint="@color/platform_color_EBEBEB"
        android:textSize="20sp"
        android:textCursorDrawable="@null"
        app:layout_constraintBottom_toBottomOf="@+id/country_code"
        app:layout_constraintStart_toEndOf="@+id/country_code"
        app:layout_constraintEnd_toStartOf="@+id/iv_del"
        app:layout_constraintTop_toTopOf="@+id/country_code" />

    <View
        android:id="@+id/view_lin"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginStart="@dimen/platform_dp_40"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:layout_marginEnd="@dimen/platform_dp_40"
        android:background="@color/platform_color_EBEBEB"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/country_code" />
    <ImageView
        android:id="@+id/iv_del"
        android:layout_width="23dp"
        android:layout_height="23dp"
        android:layout_gravity="center_vertical"
        android:paddingTop="@dimen/platform_dp_5"
        android:paddingBottom="@dimen/platform_dp_5"
        android:paddingLeft="@dimen/platform_dp_5"
        android:src="@drawable/user_ic_del_new"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="@id/view_lin"
       app:layout_constraintTop_toTopOf="@id/et_phone_number"
        app:layout_constraintBottom_toBottomOf="@id/et_phone_number"

        />
    <TextView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="下一步"
        app:layout_constraintTop_toBottomOf="@id/view_lin"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginTop="@dimen/platform_dp_25"
        android:background="@drawable/login_password_unable_bg_24dp"
        android:gravity="center"
        android:layout_marginStart="@dimen/platform_dp_28"
        android:layout_marginEnd="@dimen/platform_dp_28"
        android:paddingTop="@dimen/platform_dp_13"
        android:paddingBottom="@dimen/platform_dp_13"
        android:textSize="17sp"
        android:id="@+id/ll_next"
        android:textColor="@color/white"
        />

    <LinearLayout
        android:id="@+id/check_protocol"
        android:layout_marginTop="8dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_next">

        <ImageView
            android:paddingLeft="8dp"
            android:paddingTop="8dp"
            android:paddingBottom="8dp"
            android:id="@+id/iv_select_protocol"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:src="@drawable/user_login_protocol_unselected_new" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/platform_dp_4"
            android:textSize="12sp"
            android:includeFontPadding="false"
            android:id="@+id/tv_protocol"
            android:textColor="@color/platform_color_BFBFBF"
            android:text="同意壹点灵用户注册协议" />
    </LinearLayout>

    <include layout="@layout/user_activity_register_and_login_bottom" />

</androidx.constraintlayout.widget.ConstraintLayout>